@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

notification {
  background-color: InfoBackground;
  color: InfoText;
}

notification[type="info"] {
  background-color: -moz-Dialog;
  color: -moz-DialogText;
}

notification[type="critical"] {
  background-color: red;
  color: white;
}

.messageImage {
  width: 16px;
  height: 16px;
  margin: 0px 1px 0px 6px;
}

/* Default icons for notifications */

notification[type="info"] .messageImage {
  list-style-image: url("chrome://global/skin/icons/information-16.png");
}

notification[type="warning"] .messageImage {
  list-style-image: url("chrome://global/skin/icons/warning-16.png");
}

notification[type="critical"] .messageImage {
  list-style-image: url("chrome://global/skin/icons/error-16.png");
}

.messageText {
  -moz-margin-start: 5px;
}

.messageCloseButton {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

.messageCloseButton > .toolbarbutton-icon {
  margin: 0px !important;
}
